%define upstream_name Horde_Share
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.2
Release:     	%mkrel 1
Summary:    	Horde Shared Permissions System
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Db <= 2.0.0 
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Group <= 2.0.0
Requires:  	php-pear-Horde_Perms <= 2.0.0 
Requires:  	php-pear-Horde_Support <= 2.0.0 
Requires:  	php-pear-Horde_Translation <= 2.0.0
Requires:  	php-pear-Horde_Url <= 2.0.0 
Requires:  	php-pear-Horde_Util <= 2.0.0 
Conflicts:  	php-pear-Horde_Db = 2.0.0 
Conflicts:  	php-pear-Horde_Exception = 2.0.0 
Conflicts:  	php-pear-Horde_Group = 2.0.0
Conflicts:  	php-pear-Horde_Perms = 2.0.0 
Conflicts:  	php-pear-Horde_Support = 2.0.0 
Conflicts:  	php-pear-Horde_Translation = 2.0.0
Conflicts:  	php-pear-Horde_Url = 2.0.0 
Conflicts:  	php-pear-Horde_Util = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Share = %{version}
Obsoletes:	horde-share

%description
Horde_Share provides an interface to all shared resources a user
owns or has access to.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Share.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Share.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Share
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Share/COPYING
%{peardir}/*
%{xmldir}/Horde_Share.xml


%changelog

* Mon Nov 14 2011 spuhler <spuhler> 1.2.2-1.mga2
+ Revision: 167396
- upgrade to 1.2.2

* Mon Nov 07 2011 spuhler <spuhler> 1.2.1-1.mga2
+ Revision: 164704
- upgrade to 1.2.1
- changed Provides: php-pear-Horde_Share to Provides:php-pear-Horde_Share = %%{version}
- imported package php-pear-Horde_Share

